agency-board
POST /v1/agency/boards/{boardId}/webhook-deliveries/{deliveryId}/replay
Send the same payload again.
Autenticazione
Invia una chiave API come bearer token. Questo endpoint non specifica un permesso specifico nella specifica, quindi assegna alla tua chiave i permessi minimi necessari e verifica la risposta invece di fare supposizioni.
Questo endpoint non richiede alcun ID organizzazione. La tua chiave identifica già l'organizzazione a cui appartiene e la risposta è limitata ad essa.
Provalo
Sostituisci qualsiasi elemento tra parentesi angolari con i tuoi valori e il segnaposto key con una chiave dalla tua dashboard.
curl -X POST https://api.zinndigital.com/v1/agency/boards/{boardId}/webhook-deliveries/{deliveryId}/replay \
-H "Authorization: Bearer zdk_live_…"Hai effettuato l'accesso? La console API nella tua dashboard inserisce il tuo ID organizzazione reale e la tua chiave personale, ed esegue la richiesta sull'API live in modo da poter vedere la risposta effettiva. Apri questo endpoint nella console API
Dettagli
Re-sends the STORED bytes with a fresh timestamp and a fresh signature over those same bytes. Nothing is re-serialised — a different byte string would produce a signature the receiver cannot verify, which fails as *"your signatures are wrong"* on their side and is unfalsifiable from ours.
Parametri
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
boardId (path) | Uuid | Sì | Project board ID (UUIDv7). |
deliveryId (path) | Uuid | Sì | Webhook delivery ID (UUIDv7). |
Risposta
| Nome | Tipo | Obbligatorio | Che cos'è |
|---|---|---|---|
id | Uuid | Sì | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
subscription_id | Uuid | Sì | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
event | string | Sì | — |
delivery_key | string | Sì | Sent as `X-Zinn-Delivery`, so the receiver can dedupe too. |
payload | object | No | The body exactly as it was signed and sent. |
status | BoardWebhookDeliveryStatus | Sì | — |
attempts | integer | Sì | — |
response_status | integer | No | — |
response_snippet | string | No | The first 500 bytes your endpoint answered with. When it answered but sent no body, the status we observed; when we could not reach it, or the fault was ours, authored copy sayi… |
next_attempt_at | string | No | — |
delivered_at | string | No | — |
replay_of_id | Uuid | No | UUIDv7 identifier — sortable by creation time (docs/02 §8). |
created_at | string | Sì | — |
Errori che questo endpoint può restituire
401 · 403 · 404